PUT List/Source/Items/{id}/Headings
Some tooltip text!
• 5 minutes to read
• 5 minutes to read
PUT /api/v1/List/Source/Items/{itemId}/Headings
Saves headings for the Source list's item.
Calls the List agent service SaveHeadingsForListItemFromListDefinition.
| Path Part | Type | Description |
|---|---|---|
| itemId | int32 | The ID of the headings to be saved. Required |
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: entities
The headings to be saved.
| Property Name | Type | Description |
|---|---|---|
| Id | Integer | The Id of the ListItem |
| Name | String | The name of the ListItem |
| ToolTip | String | The tooltip of the ListItem |
| Deleted | Boolean | The deleted status of the ListItem |
| Rank | Integer | The rank of the ListItem |
| Type | String | The type of the ListItem. Custom field. |
| ColorBlock | Integer | The color indicator of the ListItem color block |
| IconHint | String | The Icon hint of the ListItem. Custom field. |
| Selected | Boolean | True if the ListItem is selected |
| LastChanged | String | Time of last change. |
| ChildItems | Array | The child items of the SelectableMDOListItem |
| ExtraInfo | String | Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field. |
| StyleHint | String | Style hint indicating, information such as background color etc. Custom field. |
| Hidden | Boolean | True if the ListItem is hidden |
| FullName | String | The name of the ListItem in its context |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| Id | int32 | The Id of the ListItem |
| Name | string | The name of the ListItem |
| ToolTip | string | The tooltip of the ListItem |
| Deleted | bool | The deleted status of the ListItem |
| Rank | int32 | The rank of the ListItem |
| Type | string | The type of the ListItem. Custom field. |
| ColorBlock | int32 | The color indicator of the ListItem color block |
| IconHint | string | The Icon hint of the ListItem. Custom field. |
| Selected | bool | True if the ListItem is selected |
| LastChanged | date-time | Time of last change. |
| ChildItems | array | The child items of the SelectableMDOListItem |
| ExtraInfo | string | Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field. |
| StyleHint | string | Style hint indicating, information such as background color etc. Custom field. |
| Hidden | bool | True if the ListItem is hidden |
| FullName | string | The name of the ListItem in its context |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
PUT /api/v1/List/Source/Items/{itemId}/Headings
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
[
{
"Id": 673,
"Name": "Shields-Sporer",
"ToolTip": "Libero itaque.",
"Deleted": true,
"Rank": 956,
"Type": "a",
"ColorBlock": 128,
"IconHint": "ullam",
"Selected": false,
"LastChanged": "2015-02-21T14:34:03.538861+01:00",
"ChildItems": [
{
"Id": 147,
"Name": "Daugherty-Sawayn",
"ToolTip": "Quas incidunt dignissimos laudantium natus assumenda quis est.",
"Deleted": true,
"Rank": 82,
"Type": "ad",
"ColorBlock": 431,
"IconHint": "quos",
"Selected": false,
"LastChanged": "2012-01-18T14:34:03.5398608+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "culpa",
"StyleHint": "delectus",
"Hidden": false,
"FullName": "Mr. Ubaldo Cartwright Jr."
}
],
"ExtraInfo": "fugit",
"StyleHint": "impedit",
"Hidden": false,
"FullName": "Miss Soledad Pagac III"
}
]
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"Id": 428,
"Name": "McCullough-Crona",
"ToolTip": "Reiciendis et optio et adipisci dolores qui.",
"Deleted": false,
"Rank": 548,
"Type": "commodi",
"ColorBlock": 594,
"IconHint": "animi",
"Selected": false,
"LastChanged": "2013-12-21T14:34:03.5408605+01:00",
"ChildItems": [
{
"Id": 297,
"Name": "Murray Group",
"ToolTip": "Doloribus dolorum dolores dolorum qui.",
"Deleted": false,
"Rank": 498,
"Type": "voluptas",
"ColorBlock": 154,
"IconHint": "quia",
"Selected": false,
"LastChanged": "2008-04-06T14:34:03.5408605+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "nemo",
"StyleHint": "aut",
"Hidden": false,
"FullName": "Mrs. Leslie Ward MD",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 135
}
}
}
],
"ExtraInfo": "sit",
"StyleHint": "ut",
"Hidden": true,
"FullName": "Chester Turner",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 566
}
}
}
]